---
primaryTopic:
  Accounts:
    AccountCategory: DORMANT
    AccountRefDay: 31
    AccountRefMonth: 03
    LastMadeUpDate: 31/03/2023
    NextDueDate: 31/12/2024
  CompanyCategory: Private Limited Company
  CompanyName: UNIVERSAL PREDICTION LTD
  CompanyNumber: 11883395
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 14/03/2019
  RegAddress:
    AddressLine1: 9 GREENACRE COURT
    PostTown: ENGLEFIELD GREEN
    County: SURREY
    Country: ENGLAND
    Postcode: TW20 0RF
  Returns:
    LastMadeUpDate: 12/10/2023
    NextDueDate: 26/10/2024
  SICCodes:
    SicText:
      - '74909 - Other professional, scientific and technical activities not elsewhere classified'
